Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.spi
Interface MutableTrigger

All Superinterfaces:
  Cloneable, Comparable<Trigger>, Serializable, Trigger

All Known Subinterfaces:
  OperableTrigger

All Known Implementing Classes:
  AbstractTrigger, CalendarIntervalTriggerImpl, CronTriggerImpl, DailyTimeIntervalTriggerImpl, SimpleTriggerImpl

    public interface MutableTrigger

extends Trigger

Nested Class Summary

Nested classes/interfaces inherited from interface org.quartz.Trigger
`Trigger.CompletedExecutionInstruction, Trigger.TriggerState, Trigger.TriggerTimeComparator`

Field Summary

Fields inherited from interface org.quartz.Trigger
`DEFAULT_PRIORITY, MISFIRE_INSTRUCTION_IGNORE_MISFIRE_POLICY, MISFIRE_INSTRUCTION_SMART_POLICY, serialVersionUID`

Method Summary
`Object` | `clone()`
`void` | `setCalendarName(String calendarName)` Associate the ``Calendar`` with the given name with this Trigger.
`void` | `setDescription(String description)` Set a description for the `Trigger` instance - may be useful for remembering/displaying the purpose of the trigger, though the description has no meaning to Quartz.
`void` | `setEndTime(Date endTime)` Set the time at which the `Trigger` should quit repeating - regardless of any remaining repeats (based on the trigger's particular repeat settings).
`void` | `setJobDataMap(JobDataMap jobDataMap)` Set the `JobDataMap` to be associated with the `Trigger`.
`void` | `setJobKey(JobKey key)`
`void` | `setKey(TriggerKey key)`
`void` | `setMisfireInstruction(int misfireInstruction)` Set the instruction the `Scheduler` should be given for handling misfire situations for this `Trigger`- the concrete `Trigger` type that you are using will have defined a set of additional `MISFIRE_INSTRUCTION_XXX` constants that may be passed to this method.
`void` | `setPriority(int priority)` The priority of a `Trigger` acts as a tie breaker such that if two `Trigger`s have the same scheduled fire time, then Quartz will do its best to give the one with the higher priority first access to a worker thread.
`void` | `setStartTime(Date startTime)` The time at which the trigger's scheduling should start.

Methods inherited from interface org.quartz.Trigger
`compareTo, equals, getCalendarName, getDescription, getEndTime, getFinalFireTime, getFireTimeAfter, getJobDataMap, getJobKey, getKey, getMisfireInstruction, getNextFireTime, getPreviousFireTime, getPriority, getScheduleBuilder, getStartTime, getTriggerBuilder, mayFireAgain`

Method Detail

### setKey

    void setKey(TriggerKey key)

### setJobKey

    void setJobKey(JobKey key)

### setDescription

    void setDescription(String description)

  Set a description for the `Trigger` instance - may be useful for remembering/displaying the purpose of the trigger, though the description has no meaning to Quartz.

### setCalendarName

    void setCalendarName(String calendarName)

  Associate the ``Calendar`` with the given name with this Trigger.

  Parameters:
    `calendarName` - use `null` to dis-associate a Calendar.

### setJobDataMap

    void setJobDataMap(JobDataMap jobDataMap)

  Set the `JobDataMap` to be associated with the `Trigger`.

### setPriority

    void setPriority(int priority)

  The priority of a `Trigger` acts as a tie breaker such that if two `Trigger`s have the same scheduled fire time, then Quartz will do its best to give the one with the higher priority first access to a worker thread.

  If not explicitly set, the default value is `5`.

  See Also:
    `Trigger.DEFAULT_PRIORITY`

### setStartTime

    void setStartTime(Date startTime)

  The time at which the trigger's scheduling should start. May or may not be the first actual fire time of the trigger, depending upon the type of trigger and the settings of the other properties of the trigger. However the first actual first time will not be before this date.

  Setting a value in the past may cause a new trigger to compute a first fire time that is in the past, which may cause an immediate misfire of the trigger.

### setEndTime

    void setEndTime(Date endTime)

  Set the time at which the `Trigger` should quit repeating - regardless of any remaining repeats (based on the trigger's particular repeat settings).

  See Also:
    `TriggerUtils#computeEndTimeToAllowParticularNumberOfFirings(Trigger, Calendar, int)`

### setMisfireInstruction

    void setMisfireInstruction(int misfireInstruction)

  Set the instruction the `Scheduler` should be given for handling misfire situations for this `Trigger`- the concrete `Trigger` type that you are using will have defined a set of additional `MISFIRE_INSTRUCTION_XXX` constants that may be passed to this method.

  If not explicitly set, the default value is `MISFIRE_INSTRUCTION_SMART_POLICY`.

  See Also:
    `Trigger.MISFIRE_INSTRUCTION_SMART_POLICY`, `#updateAfterMisfire(Calendar)`, `SimpleTrigger`, `CronTrigger`

### clone

    Object clone()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.